Package org.wso2.carbon.mediation.initializer

## Class ServiceBusConstants.RegistryStore

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.ServiceBusConstants.RegistryStore

- Enclosing class:
    ServiceBusConstants

      public static final class ServiceBusConstants.RegistryStore
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ENDPOINT_REGISTRY` |
    `static String` | `EVENT_SOURCE_REGISTRY` |
    `static String` | `EXECUTOR_REGISTRY` |
    `static String` | `IMPORT_REGISTRY` |
    `static String` | `LOCAL_ENTRY_REGISTRY` |
    `static String` | `MESSAGE_PROCESSOR_REGISTRY` |
    `static String` | `MESSAGE_STORE_REGISTRY` |
    `static String` | `PROXY_SERVICE_REGISTRY` |
    `static String` | `REST_API_REGISTRY` |
    `static String` | `SEQUENCE_REGISTRY` |
    `static String` | `SYNAPSE_REGISTRY_REGISTRY` |
    `static String` | `SYNAPSE_STARTUP_REGISTRY` |
    `static String` | `TEMPLATE_REGISTRY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistryStore()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEQUENCE_REGISTRY

          public static final String SEQUENCE_REGISTRY

      See Also:
        Constant Field Values

    - #### TEMPLATE_REGISTRY

          public static final String TEMPLATE_REGISTRY

      See Also:
        Constant Field Values

    - #### ENDPOINT_REGISTRY

          public static final String ENDPOINT_REGISTRY

      See Also:
        Constant Field Values

    - #### PROXY_SERVICE_REGISTRY

          public static final String PROXY_SERVICE_REGISTRY

      See Also:
        Constant Field Values

    - #### EVENT_SOURCE_REGISTRY

          public static final String EVENT_SOURCE_REGISTRY

      See Also:
        Constant Field Values

    - #### LOCAL_ENTRY_REGISTRY

          public static final String LOCAL_ENTRY_REGISTRY

      See Also:
        Constant Field Values

    - #### SYNAPSE_STARTUP_REGISTRY

          public static final String SYNAPSE_STARTUP_REGISTRY

      See Also:
        Constant Field Values

    - #### SYNAPSE_REGISTRY_REGISTRY

          public static final String SYNAPSE_REGISTRY_REGISTRY

      See Also:
        Constant Field Values

    - #### EXECUTOR_REGISTRY

          public static final String EXECUTOR_REGISTRY

      See Also:
        Constant Field Values

    - #### MESSAGE_STORE_REGISTRY

          public static final String MESSAGE_STORE_REGISTRY

      See Also:
        Constant Field Values

    - #### MESSAGE_PROCESSOR_REGISTRY

          public static final String MESSAGE_PROCESSOR_REGISTRY

      See Also:
        Constant Field Values

    - #### REST_API_REGISTRY

          public static final String REST_API_REGISTRY

      See Also:
        Constant Field Values

    - #### IMPORT_REGISTRY

          public static final String IMPORT_REGISTRY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegistryStore

          public RegistryStore()